Subject: Re: [PATCH] brcmfmac: use ISO3166 country code and 0 rev as fallback

From: Shawn Guo <[email-masked]>
Date: Wed, 28 Apr 2021 20:42:29 +0800

On Wed, Apr 28, 2021 at 02:03:07PM +0200, Arend van Spriel wrote:
> On 4/25/2021 1:02 PM, Shawn Guo wrote:
> > Instead of aborting country code setup in firmware, use ISO3166 country
> > code and 0 rev as fallback, when country_codes mapping table is not
> > configured.  This fallback saves the country_codes table setup for recent
> > brcmfmac chipsets/firmwares, which just use ISO3166 code and require no
> > revision number.
> 
> I am somewhat surprised, but with the brcm-spinoffs (cypress/infineon and
> synaptics) my understanding may have been surpassed by reality. Would you
> happen to know which chipsets/firmwares require only ISO3166 code and no
> rev?

The "no rev" here actually means 'rev' field being zero.  The chipset
I'm running is a BCM43012 from Synaptics, I think.

Firmware: BCM43012/2 wl0: Apr 16 2021 15:25:36 version 18.35.389.63.t2 (wlan=r836194) FWID 01-a8c7bac

Shawn